aboutsummaryrefslogtreecommitdiffstats
path: root/tests/bram/run-test.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2015-01-01 19:42:39 +0100
committerClifford Wolf <clifford@clifford.at>2015-01-01 20:58:33 +0100
commit24ae156a747d5b933693878e7f2ed4c311e36570 (patch)
tree1302d55e6c86a6ca827dd10f73abd4f157fd7005 /tests/bram/run-test.sh
parent340e7696670a4a7f46b01f2414945e6c4cefb1ce (diff)
downloadyosys-24ae156a747d5b933693878e7f2ed4c311e36570.tar.gz
yosys-24ae156a747d5b933693878e7f2ed4c311e36570.tar.bz2
yosys-24ae156a747d5b933693878e7f2ed4c311e36570.zip
Progress in bram testbench
Diffstat (limited to 'tests/bram/run-test.sh')
-rwxr-xr-xtests/bram/run-test.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/bram/run-test.sh b/tests/bram/run-test.sh
new file mode 100755
index 000000000..cc18aff1e
--- /dev/null
+++ b/tests/bram/run-test.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# run this test many times:
+# time bash -c 'for ((i=0; i<100; i++)); do echo "-- $i --"; bash run-test.sh || exit 1; done'
+
+set -e
+rm -rf temp
+mkdir -p temp
+
+echo "generating tests.."
+python generate.py
+
+{
+ echo -n "all:"
+ for i in $( ls temp/brams_*.txt | sed 's,.*_,,; s,\..*,,;' ); do
+ for j in $( ls temp/brams_*.txt | sed 's,.*_,,; s,\..*,,;' | grep -v $i ); do
+ echo -n " temp/job_$i$j.ok"
+ done; done
+ echo
+ for i in $( ls temp/brams_*.txt | sed 's,.*_,,; s,\..*,,;' ); do
+ for j in $( ls temp/brams_*.txt | sed 's,.*_,,; s,\..*,,;' | grep -v $i ); do
+ echo "temp/job_$i$j.ok:"
+ echo " @bash run-single.sh $i $j"
+ echo " @echo 'Passed test $i vs $j.'"
+ echo " @touch \$@"
+ done; done
+} > temp/makefile
+
+echo "running tests.."
+${MAKE:-make} -f temp/makefile
+
+exit 0